Bank Accounts

Fetch Statement of your all other bank accounts that you have linked with your InstantPay account.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code -1 (Fixed)MY
X-Ipay-Client-IdStringUnique Client IDMY
X-Ipay-Client-SecretStringUnique secret keyMY
X-Ipay-Endpoint-IpStringEnd Customer IP AddressMN
📘

Info:

Click Here to know how to get the Credentials.

Request Parameters

ParametersTypeMandatory (M) , Optional(O)Description
bankProfileIdStringM0 (Fixed)
accountNumberStringMAccount number
externalRefStringMUnique Reference number
paginationArrayMDetails of pagination
pagination.pageReferenceStringMno of pages
filtersStringMDetails of filters
filters.txnDateFromStringMFrom Date (YYYY-MM-DD)
filters.txnDateToStringMTo Date (YYYY-MM-DD)

Sample Request

curl --location --request POST 'https://api.instantpay.in/reports/statement' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "bankProfileId" : "10910",
    "accountNumber" : "7428585742",
    "externalRef" : "PROD12378",
    "pagination" : {
        "pageNumber" : 1,
        "recordsPerPage" : 20
    },
    "filters": {
        "txnDateFrom": "2022-04-26",
        "txnDateTo": "2022-04-26"
    }
    }'
POST /reports/statement HTTP/1.1                
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json

{
    "bankProfileId" : "10910",
    "accountNumber" : "7428585742",
    "externalRef" : "PROD12378",
    "pagination" : {
        "pageNumber" : 1,
        "recordsPerPage" : 20
    },
    "filters": {
        "fromDate" : "2022-03-18",
        "toDate" : "2022-03-21"
    }
}

Response Parameters

NameTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus Message
dataArrayResponse Data (If Present)
timestampStringCurrent time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
environmentStringLive

Sample Response

{
  "statuscode": "TXN",
  "actcode": null,
  "status": "Transaction Successful",
  "data": {
    "statements": {
      "pageReference": "",
      "records": [
        {
          "txnDate": "2022-03-18 17:40:30",
          "txnId": "S60778063",
          "amount": "104814.09",
          "type": "CR",
          "balance": "31311795.24",
          "narration1": "BC ACQ AEPS COMMISSION_170322",
          "narration2": ""
        },
        {
          "txnDate": "2022-03-19 08:14:13",
          "txnId": "S73994678",
          "amount": "4000000.00",
          "type": "DR",
          "balance": "27311795.24",
          "narration1": "RTGS|ICICR42022031900500690|TJSB0000155|INSTANTPAY INDIA LIMITED",
          "narration2": ""
        }
      ]
    }
  },
  "timestamp": "2022-03-21 18:46:52",
  "ipay_uuid": "h00595df6e53-5f93-4a95-b69c-2dcb52cb8c80",
  "orderid": null,
  "environment": "LIVE",
  "internalCode": null

}
❗️

Note :

externalRef must be unique and in alpha numeric characters.

This API call is chargeable, For more Information connect with your respective Key Account Manager.

Body Params
string
required
Defaults to 0
string
required

Linked Current Account Number

string
required

Unique Transaction Id

pagination
object

Details of pagination

filters
object

Details of filters

Headers
string
Defaults to 1
string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

Customer Ip Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json